package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.credit.util.EncryptUtils;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Iterator;
import net.sf.json.JSONObject;
import org.apache.cxf.jaxrs.client.WebClient;

public class GetCorpScoreAction extends LifeAction {

   public String pic_namecn;
   public String cardCode;
   public String reportType;
   private static final String JFWS_URL = "http://172.18.8.101:8082/yqqf-ws/";
   private static final String key = "9A957521D5091909";
   private String belongBranch = "金融办";
   private static String user = "qfzx-jk";


   public String execute(Context context) throws GENEException {
      SimpleDateFormat corpBaseJson = new SimpleDateFormat("yyyyMMddHHmmss");
      Calendar corpNameValue = Calendar.getInstance();
      context.put("d2_create_time", corpBaseJson.format(corpNameValue.getTime()));
      String corpNameValue1 = context.getDataValue(this.pic_namecn) == null?"":context.getDataValue(this.pic_namecn).toString();
      String certifiCateCodeValue = context.getDataValue(this.cardCode) == null?"":context.getDataValue(this.cardCode).toString();
      Iterator itor;
      String itorkey;
      String values;
      String corpBaseJson1;
      JSONObject corpBaseJson2;
      if("1".equals(this.reportType)) {
         try {
            corpBaseJson1 = this.getScoreInfo(certifiCateCodeValue, corpNameValue1, context);
         } catch (Exception var14) {
            throw new GENEException("EBLN0010", "查询征信异常", var14);
         }

         corpBaseJson2 = JSONObject.fromObject(corpBaseJson1);
         context.put("serResult", corpBaseJson2.toString());
         itor = corpBaseJson2.keys();

         while(itor.hasNext()) {
            try {
               itorkey = (String)itor.next();
               JSONObject jsonOb2;
               Iterator itor2 = (jsonOb2 = JSONObject.fromObject(values = corpBaseJson2.get(itorkey).toString())).keys();

               while(itor2.hasNext()) {
                  String key2 = (String)itor2.next();
                  String value2 = jsonOb2.get(key2).toString();
                  context.put(key2, value2);
               }

               context.put(itorkey, values);
            } catch (Exception var15) {
               ;
            }
         }
      }

      if("2".equals(this.reportType)) {
         try {
            corpBaseJson1 = this.getCorpBaseInfo(certifiCateCodeValue, corpNameValue1, context);
         } catch (Exception var13) {
            throw new GENEException("EBLN0010", "查询工商信息和额度异常", var13);
         }

         corpBaseJson2 = JSONObject.fromObject(corpBaseJson1);
         context.put("serResult", corpBaseJson2.toString());
         itor = corpBaseJson2.keys();

         while(itor.hasNext()) {
            try {
               itorkey = (String)itor.next();
               values = corpBaseJson2.get(itorkey).toString();
               context.put(itorkey, values);
            } catch (Exception var12) {
               ;
            }
         }
      }

      return "0";
   }

   private String getScoreInfo(String strCertifiCateCode, String strCorpName, Context context) throws Exception {
      WebClient jsParam;
      (jsParam = WebClient.create("http://172.18.8.101:8082/yqqf-ws/")).path("yqqfService/getScoreInfo").accept(new String[]{"application/json"}).type("application/json");
      System.out.println(jsParam.getCurrentURI());
      String strQueryUser = user;
      strCorpName = EncryptUtils.encrypt(strCorpName, "9A957521D5091909");
      strCertifiCateCode = EncryptUtils.encrypt(strCertifiCateCode, "9A957521D5091909");
      strQueryUser = EncryptUtils.encrypt(strQueryUser, "9A957521D5091909");
      jsParam.replaceQueryParam("cardCode", new Object[]{strCertifiCateCode}).replaceQueryParam("corpName", new Object[]{strCorpName}).replaceQueryParam("wsUser", new Object[]{strQueryUser});
      System.out.println(jsParam.getCurrentURI());
      String result = (String)jsParam.get(String.class);
      System.out.println("征信返回结果========" + EncryptUtils.decrypt(result, "9A957521D5091909"));
      context.put("serName", jsParam.getCurrentURI());
      JSONObject jsParam1;
      (jsParam1 = new JSONObject()).put("cardCode", strCertifiCateCode);
      jsParam1.put("corpName", strCorpName);
      jsParam1.put("wsUser", strQueryUser);
      context.put("accesstoken", jsParam1.toString());
      return EncryptUtils.decrypt(result, "9A957521D5091909");
   }

   private String getCorpBaseInfo(String strCertifiCateCode, String strCorpName, Context context) throws Exception {
      WebClient jsParam;
      (jsParam = WebClient.create("http://172.18.8.101:8082/yqqf-ws/")).path("yqqfService/getCorpBaseInfo").accept(new String[]{"application/json"}).type("application/json");
      System.out.println(jsParam.getCurrentURI());
      String strQueryUser = user;
      strCorpName = EncryptUtils.encrypt(strCorpName, "9A957521D5091909");
      strCertifiCateCode = EncryptUtils.encrypt(strCertifiCateCode, "9A957521D5091909");
      strQueryUser = EncryptUtils.encrypt(strQueryUser, "9A957521D5091909");
      jsParam.replaceQueryParam("cardCode", new Object[]{strCertifiCateCode}).replaceQueryParam("corpName", new Object[]{strCorpName}).replaceQueryParam("wsUser", new Object[]{strQueryUser});
      System.out.println(jsParam.getCurrentURI());
      String result = (String)jsParam.get(String.class);
      System.out.println("工商信息和额度返回结果========" + EncryptUtils.decrypt(result, "9A957521D5091909"));
      context.put("serName", jsParam.getCurrentURI());
      JSONObject jsParam1;
      (jsParam1 = new JSONObject()).put("cardCode", strCertifiCateCode);
      jsParam1.put("corpName", strCorpName);
      jsParam1.put("wsUser", strQueryUser);
      context.put("accesstoken", jsParam1.toString());
      return EncryptUtils.decrypt(result, "9A957521D5091909");
   }

   public static void main(String[] args) {
      System.out.println(EncryptUtils.decrypt("i8EiAwHbYree2TZUdf/mJQ%3D%3D", "9A957521D5091909"));
   }

   public String getPic_namecn() {
      return this.pic_namecn;
   }

   public void setPic_namecn(String pic_namecn) {
      this.pic_namecn = pic_namecn;
   }

   public String getCardCode() {
      return this.cardCode;
   }

   public void setCardCode(String cardCode) {
      this.cardCode = cardCode;
   }

   public String getReportType() {
      return this.reportType;
   }

   public void setReportType(String reportType) {
      this.reportType = reportType;
   }
}
